$(document).ready(function () {


   // Functions for show/hide adaptive container

   function toggleAdaptive() {
      $('.adaptive-menu-container').toggleClass('adaptive-menu-container--open');
      $('.adaptive-menu-shadow').toggleClass('adaptive-menu-shadow--open');
      $('.adaptive-menu-toggle').toggleClass('adaptive-menu-toggle--open');
   }

   function removeAdaptiveShowClasses() {
      $('.adaptive-menu-container').removeClass('adaptive-menu-container--open');
      $('.adaptive-menu-shadow').removeClass('adaptive-menu-shadow--open');
      $('.adaptive-menu-toggle').removeClass('adaptive-menu-toggle--open');
   }


   // Show/hide adaptive container after click

   $('.adaptive-menu-toggle').on('click', function (e) {
      e.preventDefault();
      toggleAdaptive();
   });


   // Show/hide adaptive container after click

   $('.adaptive-container__toggle').on('click', function (e) {
      e.preventDefault();
      toggleAdaptive();
   });


   // Close adaptive container after click on the shadow

   $(document).on('click', '.adaptive-menu-shadow', function () {
      toggleAdaptive();
   });


   // Close adaptive after click button Esc

   $(document).on('keyup', function (e) {
      e.preventDefault();
      if (e.keyCode === 27) {
         removeAdaptiveShowClasses();
      }
   });


   // Show header after scroll 200px

   $(window).on('scroll', function () {
      if ($(this).scrollTop() > 40) {
         $('.sliding-header').addClass('fixed');
      } else {
         $('.sliding-header').removeClass('fixed');
      }
   });

   var awrap = $('.awrap');
   $(window).on('scroll', function () {
      if ($(window).scrollTop() >= 40) {
         awrap.css({position: 'fixed'});
      } else {
         awrap.css({position: 'initial'});
      }
   });


   function setSubmenuWidth() {
      var header_submenu_width = $('.header__bottom .wrapper').width(),
         half_header_submenu_width = header_submenu_width / 2;

      $('.header-submenu').css({
         'width': header_submenu_width,
         'marginLeft': -half_header_submenu_width,
      });
   }

   setSubmenuWidth();


   // Fancybox config
   // ===============================================

   $('[data-fancybox-modal]').fancybox({
      trapFocus: true,
      autoFocus: false,
      touch: false,
   });


   // Heroes slider init
   // ===============================================

   if ($('.popular-slider').length) {

      $('.popular-slider').slick({
         slidesToShow: 4,
         responsive: [
            {
               breakpoint: 1000,
               settings: {
                  slidesToShow: 3,
                  dots: false
               }
            },
            {
               breakpoint: 800,
               settings: {
                  slidesToShow: 2
               }
            },
            {
               breakpoint: 600,
               settings: {
                  slidesToShow: 1
               }
            }
         ]
      });
   }


   // Tel mask
   // ===============================================

   if ($('.input-tel').length) {
      $('.input-tel').mask("+7 99-999-99-99");
   }


   // Product tabs
   // ===============================================

   /*function viewTab(tab_id, element) {
      $('.product-tabs__link').removeClass('product-tabs__link--active');
      $(element).addClass('product-tabs__link--active');

      $('.product-tabs-block').removeClass('product-tabs-block--active');
      $('.product-tabs-block--' + tab_id).addClass('product-tabs-block--active');
   }

   $('.product-tabs__link').on('click', function (e) {
      e.preventDefault();
      var tab_id = $(this).data('tab-id');
      viewTab(tab_id, this);
   });*/
// обработка хеш тегов и открытия нужного таба

   var hash = window.location.hash.toString();

   /*if (hash && hash != "#") {

      //var myclass = '.'+hash.slice(1);
      //var a_menu =jQuery('attr[href="'+hash+'"]').html('33333');
      var target = $('[name=' + hash.slice(1) + ']');

      if (target.length) {
         // покажем нужную влкадку
         var tab_id = target.data('tab-id');
         if (tab_id)
            viewTab(tab_id, target);
         //
         $('html,body').animate({
            scrollTop: target.offset().top - 95
         }, 600);
         return false;
      }
   }
*/

   var anchor = window.top.location.hash;

   function showComments(b) {
      var n = $(b).parents(".comments");
      $(b).parents("small").remove();
      n.find(".comment.hidden").each(function () {
         $(this).removeClass("hidden").trigger("show")
      })
   }

   function highliht(b) {
      var n = b.css("background-color");
      b.css({"background-color": "#ffa500"});
      setTimeout(function () {
         b.css({"background-color": "#ffa500"}).animate({backgroundColor: n}, 1500, function () {
            b.removeAttr("style")
         })
      }, 800)
   }

   $(".comment").on("show", function () {
      highliht($(this))
   });
   anchor && "#answers" !== anchor && highliht($(anchor));
   $("body").on("click", ".s-link", function (b) {
      $(".share-input").remove();
      $('<input type="text" class="share-input form-control input-sm" value="https://askubuntu.ru' + $(this).attr("href") + '">').insertAfter($(this));
      $(".share-input").focus().select();
      b.stopPropagation();
      return !1
   });

});
$(document).ready(function(){$("pre code").each(function(b,n){hljs.highlightBlock(n)})});